Name: lcov
Version: 1.10
Release: 5%{?dist}

Summary: LTP GCOV extension code coverage tool
Group: Development/Tools
License: GPLv2+

URL: http://ltp.sourceforge.net/coverage/lcov.php
Source0: http://downloads.sourceforge.net/ltp/lcov-%{version}.tar.gz
Patch1: %{name}-%{version}-gcc-47-unreachable.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

Requires: /usr/bin/gcov
Requires: perl(GD::Image)

%description
LCOV is an extension of GCOV, a GNU tool which provides information
about what parts of a program are actually executed (i.e. "covered")
while running a particular test case. The extension consists of a set
of PERL scripts which build on the textual GCOV output to implement
HTML output and support for large projects.

%prep
%setup -q
%patch1 -p1

%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/lcovrc

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 1.10-2
- Perl 5.18 rebuild

* Tue Mar 19 2013 Daniel P. Berrange <berrange@redhat.com> - 1.10-1
- Update to 1.10 release
- Fix handling of gcc 4.7 unreachable code (rhbz #829514)

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Mar 12 2012 berrange <berrange@redhat.com> - 1.9-2
- Fix compat with gcc 4.7 (rhbz #787502)
- Replace 2 argument open with 3 argument open (rhbz #706040)

* Mon Jan 30 2012 Daniel P. Berrange <berrange@redhat.com> - 1.9-1
- Update to 1.9 release (rhbz #627576)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Aug 25 2009 Roland McGrath <roland@redhat.com> - 1.7-1
- Update to 1.7 release.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu May 22 2008 Roland McGrath <roland@redhat.com> - 1.6-1
- Update to 1.6 release.
- Fix License: tag.

* Mon Feb 20 2006 Roland McGrath <roland@redhat.com> - 1.4-2
- Fix lcov -z to look for .gcda (GCC >= 3.4) suffix as well as .da (old GCC).
- Remove empty %%build from spec.
- Fix URL for source tarball.

* Mon Feb 13 2006 Roland McGrath <roland@redhat.com> - 1.4-1
- Initial build, some spec bits snarfed from upstream.
